HP Performance Insight Release Notes

for the Windows®, HP-UX, Solaris, and Linux operating systems

Software version: 5.41

Publication date: December 2013

This document is an overview of the changes made to HP Performance Insight (PI). It contains important information that is not included in the manuals or Help.

Note: The Guides that had no content updates for PI 5.41 release, have the version as 5.40.

You can find information about the following in this document:

What's New in This Release
Installation Notes
Known Problems, Limitations, and Workarounds
Documentation Updates
Localization Support
Integration with Other HP Software Products
Coexistence with Other HP Software Products
Enhancements and Fixes
Support
Legal Notices

What's New in This Release

PI version 5.41 contains the following features:

HA support is available for the following clusters:

Cluster Version Supported Operating Systems
Veritas Cluster 5.0

Solaris 9.0
Solaris 10.0
HP-UX 11.23 (Itanium)
HP-UX 11.31 (Itanium)
Windows 2003 Server R2
Windows 2003 Server x86 Standard Edition
Windows 2003 Server x86 (Enterprise/Datacenter)
Red Hat Enterprise Linux ES 4.7/4.8 x86

5.1 SP1 Windows 2008 Server R2 x86_64 Enterprise Edition
Red Hat Enterprise Linux Server ES 5.4/5.6/5.8 x86_64
Sun Cluster 3.2

Solaris 9.0
Solaris 10.0

MC/SG Cluster 11.18

HP-UX 11.11
HP-UX 11.23 PA-RISC, Itanium
HP-UX 11.31 Itanium

Configuration Guides, as well as cluster scripts are provided for each cluster. You can find the Configuration Guides and the scripts on the product installation media at this location:

/ha

After installation the document can be found at this location:

{DPIPE_HOME}/docs/ha

Installation Notes

Installation requirements, as well as instructions for installing PI on Sybase and Oracle databases are documented in the Installation and Upgrade Guide for Sybase and Installation and Upgrade Guide for Oracle for respective platforms provided in PDF (.pdf) format. You can find the Installation and Upgrade Guides on the product installation media at this location: \Documentation\english. After installation, you can view the guides through the Admin Console.

NOTE: The installation and upgrade path for PI must not contain blank spaces in any folder name. For example, you cannot install or upgrade PI from a folder named "my space."

PI Installation

Prerequisites

Software and Hardware Requirements

Before installing PI, make sure your system meets the following minimum software requirements.

Note: Sybase Adaptive Server 15.0.3 is shipped with PI 5.41 for Windows 2008 64-bit and Linux 64-bit platforms. Sybase Adaptive Server 15.0.2 is shipped with PI 5.41 for all other platforms. You must install the Sybase database from the PI 5.41 Installation DVD only.

Operating System Versions and Architecture Sybase Database Oracle Database (Enterprise Edition only) PI Components

HP-UX

11.11 PA-RISC (64-bit only), 11.23 PA-RISC (64-bit only)

Sybase Adaptive Server 15.0.2 Oracle version 10.2.0.4 /11.1.0.6.0 All
11.23 Itanium (64-bit only) Sybase Adaptive Server 15.0.2 Oracle version 10.2.0.4 / 11.2.0.1 All
11.31 Itanium (64-bit only) Sybase Adaptive Server 15.0.2 Oracle version 10.2.0.4 / 11.2.0.1
All
Solaris/SPARC

9.0 (64-bit only)

Sybase Adaptive Server 15.0.2 Oracle version 10.2.0.4 / 11.2.0.1
All
10.0 (64-bit only) Sybase Adaptive Server 15.0.2 Oracle version 10.2.0.4 / 11.2.0.1
All
Windows

2003 Server R2 (32-bit only)

Not supported Oracle version 10.2.0.4 / 11.2.0.1
All

2003 Server x86 SP2 Standard Edition (32-bit only)

Sybase Adaptive Server 15.0.2 Oracle version 10.2.0.4 / 11.2.0.1
All
2003 Server x86 SP2 (Enterprise/Datacenter) (32-bit only) Sybase Adaptive Server 15.0.2 Oracle version 10.2.0.4 / 11.2.0.1
All
2008 Server R2 Enterprise Edition (64-bit only) Sybase Adaptive Server 15.0.3 Oracle version 11.2.0.2 All

XP (32-bit)

NA NA PI Client and Web Access Server

Linux

Red Hat Enterprise Linux ES version 4.7/4.8 x86 (32-bit only) Sybase Adaptive Server 15.0.2 Oracle version 10.2.0.4 / 11.2.0.1 All
Red Hat Enterprise Linux Server version 5.4/5.6/5.8 x86 (64-bit only) Sybase Adaptive Server 15.0.3 Oracle version 11.2.0.2 All

Note: For the detailed PI 5.41 Support Matrix, visit: http://support.openview.hp.com/sc/support_matrices.jsp

Operating System Patch Requirements

The following are the minimum OS patch requirements:

HP-UX 11.11 (PA-RISC)

The patches required for HP-UX 11.11 (PA-RISC) are:

HP-UX 11.23 (PA-RISC and Itanium)

The patches required for HP-UX 11.23 (PA-RISC and Itanium) are:

HP-UX 11.31 (Itanium)

The patch required for HP-UX 11.31 (Itanium) is:

Solaris 9

The patch required for Solaris 9 is:

Solaris 10

The patch required for Solaris 10 is:

Windows 2003 Standard and Enterprise Edition

The patch required for Windows 2003 Standard and Enterprise Edition is:

Linux (Red Hat Enterprise Linux ES 4.0)

The patch required for Linux (RHEL ES 4.0) is:

Database Patch Requirements

The following are the minimum Database patch requirements:

Oracle

The patches required for Oracle 10g are:

The patches required for Oracle 11G R2 (11.2.0.2 only) are:

No patches are required for Oracle 11G R2 (11.2.0.1)

PI Upgrade

You can not upgrade from PI 5.40 to PI 5.41 through the installer. To upgrade to 5.41 from 5.40 install the patch 5.41.003.

Note: Windows 2008 64-bit and Linux 64-bit platforms are two new platforms supported with this release, so no upgrade is required on these platforms.

Prerequisites

To upgrade to PI 5.41, your existing setup must be on any one of the following PI and database versions:

Note: Direct upgrade to 5.41 is not possible from PI versions 5.1.2 and 5.20. For details, see the respective Installation and Upgrade Guides.

Post-Upgrade

Post-Installation and Upgrade Task

Note: The following steps are not required for Windows 2008 64-bit and Linux 64-bit platforms.

After you install or upgrade PI, run the Perl module encode generator (enc2xs) to ensure that all the Perl scripts run successfully. To run enc2xs, follow these steps:

Known Problems, Limitations, and Workarounds

Known Problems

The PI 5.41 release contains the following known problems:

Problem

Latest java timezone information for PI 5.41 (Oct 2011)

This year, 2011, the Russian timezone will not be changing from DST. Therefore the java timezone information needs to be updated to account for this.

Workaround

Please refer to the KCS document KM1268565 for more details.

Problem The mw_collect process becomes slower in scenarios where a large number of nodes have to be polled.
Workaround To improve the performance of mw_collect, where large number of nodes are to be polled, create and set the value of the environment variable DPIPE_MW_IMLOG to "NO". Make sure that "NO" is specified in capital letters.

Setting DPIPE_MW_IMLOG as "NO" stops the internal monitoring process for collection. This means that the PI Performance Graphs will not be available from the Management Console. To enable internal monitoring for collection, in future, either change the DPIPE_MW_IMLOG to "YES" or delete the DPIPE_MW_IMLOG environment variable.

To set the environment variable in UNIX system, open the {DPIPE_HOME}/data/env/env.properties file and add DPIPE_MW_IMLOG=NO at the end of the file.

To set the environment variable  in Windows:

  1. Right-click My Computer and select Properties.
  2. Select the Advanced tab and click Environment Variables.
  3. Under System Variables, click New to add the variable name and value.

After setting the environment variable, restart the timer.

Problem

Incorrect LIR configuration information is displayed in PI Management Console despite upgrading PI to version 5.41.

Workaround

NA. This is only a display problem, it does not affect any LIR functionality.

Problem

DBisql does not work on 64-bit Linux platform.

Workaround

Register the ASEIsqlPlugin with DBISQL.

To register ASEIsqlPlugin with DBISQL:

  1. Login as Sybase user.
  2. Rename the $SYBASE_HOME/dbisql.rep file if it exists
  3. Execute the following command manually from $SYBASE_HOME directory:

$SYBROOT/DBISQL/bin/dbisql -Xregister aseisqlplugin11 "Adaptive Server

Enterprise" com.sybase.aseisqlplugin.ASEISQLPlugin "$SYBROOT/shared/lib/jconn3.jar:$SYBROOT/

DBISQL/lib/aseisqlplugin.jar:$SYBROOT/DBISQL/lib/jodbc.jar:$SYBROOT/DBISQL/lib/

xml4j.jar:$SYBROOT/DBISQL/lib/planviewer.jar:$SYBROOT/DBISQL/lib/

dsparser.jar:$SYBROOT/DBISQL/lib/asa.jar:$SYBROOT/

DBISQL/lib/uaf-client.jar:$SYBROOT/DBISQL/lib/jini-core.jar:$SYBROOT/DBISQL/lib/jini-ext.jar:$SYBROOT/DBISQL/lib/jmxremote.jar:$SYBROOT/DBISQL/lib/jmxri.jar:$SYBROOT/

DBISQL/lib/commons-logging.jar:$SYBROOT/DBISQL/lib/log4j-1.2.6.jar"

Note: The above command is a one line command. Copy and paste the command in
a notepad and remove the extra lines before pasting it in the command
prompt window. Before you run this command, ensure that SYBROOT and SYBASE_JRE6 env variables are properly defined.

Problem

On Windows 2008 platform "nested exception is: \n java.net.SocketException: Connection reset" message appears in console.log.

Workaround

NA. This is a warning message that appears randomly on Windows 64-bit platform. There is no functionality impact associated with this message.

Problem

On Windows 2008 64-bit platform, .ovpi folder is getting created in C:\ directory.

Workaround

NA. This additional .ovpi folder gets created on Windows 2008 64-bit platform. This has no impact on PI functionalty.

Problem

On Windows 64-bit platform, some icons are not visible in File Open dialog box in builder, viewer, piadmin,
and Sybase and PI install wizards.

Workaround

The Icons for New Folder, List, Details, Go Back are not visible in File Open dialog box in builder, viewer, piadmin, and Sybase and PI install wizards. However, the associated functionalities with thse icons are not affected. When you place the mouse pointer over the area of the icon, you can see the tooltip for that icon.

These icons are visible in the motif look and feel.

Problem

Report Pack extraction fails on Linux 64-bit platform.

Workaround

The report pack installer is compiled with libstdc++-libc6.1-1.so.2. Since this library is not shipped with by default on Linux 64 bit platform, the extraction of the reportpacks fails.

To resolve this issue:

  1. Login as root user.
  2. Install compat-libstdc++-296-2.96-138.i386 package from Red Hat CD-ROM or from RHN update server, if not already installed.
  3. Execute the following command manually to create the soft link to GNU C++ 2.96 version:

    ln -s /usr/lib/libstdc++-3-libc6.2-2-2.10.0.so /usr/lib/libstdc++-libc6.1-1.so.2

  4. Run the report pack setup script.

Problem

Reinstallation of PI 5.41 and Sybase 15.0.3 fail on Linux 64-bit platform.

Workaround

Uninstallation of Sybase 15.0.3 corrupts the Linux rpm database.
You can resolve this issue by rebuilding the rpm database before reinstallation of Sybase 15.0.3 and OVPI.

To rebuild the rpm database, login as root user, take the backup of /var/lib/rpm/, and then run the following commands:

  1. rm /var/lib/rpm/__db.00*
  2. rpm --rebuilddb


Problem

THRESHOLD_UNREPORTED_ERROR message appears in trend.log file.

Workaround

You can ignore the THRESHOLD_UNREPORTED_ERROR message in trend.log file. There is no functionality impact associated with this error message.

Problem

Installation of some report packs (for example, IR device report pack) fails on Oracle 11g R2 (11.2.0.2) for Linux 64-bit and Windows 2008 64-bit platforms with the following error:

Standard,00:00,datapipe_manager,com.hp.ov.pi.datapipemanager.DpmTeelTableCreator,ERROR,2826,1871,DPM_NO_DEFAULT_VALUE,Default value "2" not found in referenced parent table "K_Customer". [trace: com.hp.ov.pi.datapipemanager.DpmTeelTableCreator.getPropColumnDef() DpmTeelTableCreator.java:364]

Workaround

Oracle's shared pool may remove and reload the sequence due to the normal shared pool memory management ageing and flushing routines. If this happens, the sequence loses the cached value. Installation of report packs fails if there is a loss of values in cache.

To resolve this issue:

  1. Run the following command:

    On Windows:

    ovpi_run_sql -sqlscript %DPIPE_HOME%\contrib\sql_scripts\update_cust_and_loc.sql

    On Linux:

    ovpi_run_sql -sqlscript $DPIPE_HOME/contrib/sql_scripts/update_cust_and_loc.sql

  2. Reinstall the failed report pack.

Limitations

The PI 5.41 release contains the following limitations:

Limitation In case of PI upgrade from 5.10.010 to 5.41 on a Sybase database, the database will not roll back because the operating systems for Sybase 15.0.2 (supported for PI 5.41) and Sybase 11.9 (supported for PI 5.10.010) are different. This implies the resume and rollback options are not supported for upgrade from PI 5.10.010 to 5.41.
Workaround Backup the Sybase database and restore it manually from the backup. See the Installation and Upgrade Guide for Sybase on the Windows Operating System for the instructions.
Limitation The backup files do not get deleted after successful upgrade or rollback.
Workaround Delete the backup folder (that you specified before upgrade) manually.
Limitation The common components, for example, HPOvBbc and HPOvJxpl will not be rolled back to a previous version as part of rollback. However, these common components will continue to work with the previous version of PI.

Workaround

NA

Limitation

PI can not be installed on Solaris local zones.

Workaround

NA

Documentation Updates

The first page of this release notes document contains the following identifying information:

To check for recent updates or to verify that you are using the most recent edition, visit this URL: HP Software Product Manuals.

To retrieve a document, select the:

  1. Product name.
  2. Version list.
  3. Operating System.
  4. Preferred Language.
  5. Document title.
  6. Click Open or Download.

You must have Adobe Reader installed to view files in PDF format (*.pdf). To download Adobe Reader, go to the Adobe web site.

Localization Support

Integration with Other HP Software Products

PI integrates with these HP Software products through the following Report Packs:

HP Software Products Sub-Products Supported Version(s) PI Report Pack
HP Performance Agent (PA)   5.00 (Non-ESXi deployment only) System Resource
HP Operations Agent   8.60.501, 11.00.044, 11.02.011, 11.04.016, 11.1x System Resource
HP Operations Manager

HP Operations Manager for UNIX (HPOM for UNIX)

9.00

OVO_Reporting

HP Operations Manager for Windows (HPOM for Windows) 8.10, 8.16*, 9.0* OVO_Reporting
HP Operations Manager for Linux 9.00 OVO_Reporting
HP Operations Smart Plug-in (SPI) for Web Application Servers - HPOM for UNIX Web Logic - 6.00, Web Sphere - 6.00 ApplicationServer
HP Operations Smart Plug-in for Web Application Servers - HPOM for Windows Web Logic - 6.10, Web Sphere - 6.10 ApplicationServer
HP Operations Smart Plug-in for Databases - HPOM for UNIX 11.40 Database
HP Operations Smart Plug-in for Databases - HPOM for Windows 11.50 Database
HP Network Node Manager (HP NNM)
HP Network Node Manager i

8.11 or later patches,

NNMi 9.0x Patch 4, 9.10, and 9.20

NNMi Incident
HP Network Node Manager i

8.11 or later patches, NNMi 9.0x patch 4, 9.10, and 9.20

Node Synchronization
HP Network Node Manager iSPI Performance for Metrics

9.10, 9.20**

Interface Reporting and
Device Reporting

Note: *These versions are supported on Windows 2008 64-bit and Linux 64-bit platforms only.

Note: **Integration with the HP Network Node Manager iSPI Performance for Metrics (NPS) 9.20 is only supported after applying the patch version RNS14.10.003 or higher.

Coexistence with Other HP Software Products

PI can co-exist with the following HP Software products:

HP Software Products Supported Version(s)
HP Network Node Manager 8.1x
HP Performance Agent (PA) 5.0
HP Operations Agent 8.60.501, 11.02.011*, 11.04.016*

Note: It is recommended to run PI on a stand alone server. However, PI is supported with the above products on a coexistence scenario provided you have planned and allocated enough resources.

Note: Co-existence with HP Operations Agent (OA) version 11.1x is not supported currently.

Note: *Hotfix is required to support co-existence with these versions on Windows 2008 and RHEL 5.4/5.6/5.8 64 bit . Contact HP support for the hotfix.

Known Problems with Coexistence

PI 5.41 and NNM 8.10 coexistence

Problem The PI Management Information Base (MIB) browser functionality does not work when PI coexists with NNM 8.10 on the same machine.
Workaround You can use the NNM MIB browser.

Enhancements and Fixes

Product Enhancements and Fixes

The following list contains the enhancements and fixes that were done for the PI 5.41 product release. Click the CR ID to know more about the enhancement or fix.

QCCR1B38072 Support for HA (High Availability) with PI 5.4
QCCR1B37844 setup.exe crashes when OVPI registry key is missing
QCCR1B38325 mw_collect does not appear to close db connections cleanly
QCCR1B38268 pa_discovery core dumps on corrupted deleted devices
QCCR1B38247 pa_discovery failing
QCCR1B38177 Need to be able to pass config file to pa_collect and set batch size
QCCR1B38096 trendcopy to copy all tables from source to destination if -t not specified
QCCR1B38154 pa_discovery core dump on Solaris 10
QCCR1B38064 bcp_gateway popups on Windows if there are many multibyte characters
QCCR1B38155 bcp_gateway throws error for values greater than 2^55
QCCR1B38296 trendpm procedures with duplicate names
QCCR1B38098 OVPI oracle 10g database is heavily loaded by a costly SQL statement
QCCR1B37572 Thresholds: DISPLAY-SQL is not expanded correctly in breach output
QCCR1B38713 Thresholds <Display> clause not displaying property values
QCCR1B38845 group_manager fails while exporting group
QCCR1B38520 PDF download not showing complete information when downloaded from Web Server
QCCR1B38095 SNMP profile resets to default after NNMPI_Cmd runs
QCCR1B37381 Graphs with thousands of data points are very slow to display
QCCR1B38094 Performance graph for previous day not getting populated
QCCR1B38159 NNM-PI wizard "Import Node" should be disabled if "Node Sync" has not been run
QCCR1B38784 ORA-00942 Error when Selecting Non-OVPI Oracle Databases in Piadmin in PI 5.31
QCCR1B39277 Unable to locate schedule (/null/My Trendadm Schedule)
QCCR1B39258 pa_collect fails to communicate through http, if https fails
QCCR1B39911 Problems with custom PA collection and metrics with '_' (underscore)
QCCR1B39360 Changing Website Document Root from WAS does not work
QCCR1B38762 trend_proc/trend_proc_launch not installed on a remote poller

Documentation Enhancements and Fixes

The following list contains the enhancements and fixes done in the manuals for the PI 5.41 release. Click the CR ID for details about the enhancement or fix.

QCCR1B39482 Require detailed HA documentation which includes moving from non-HA<->HA
QCCR1B39187 and QCCR1B39188 dip_manager fails to import foreign keys
QCCR1B38083 [Documentation] - PI Install Guide for Sybase needs kernel parameter update.
QCCR1B34646 Oracle Characterset - incorrect documentation: Install Guide 5.1
QCCR1B38100 Doc: Creating Collection for OVPA/OVOA should not have space in metric name
QCCR1B39818 HP Performance Insight Installation and Upgrade Guide for Sybase Databases - Windows, Version 5.40 contains Sybase post-installation description for UNIX, not Windows.
QCCR1B40307 Doc Change:Not able to delete trendpm procedure of D type
QCCR1B40116 installation instructions for PIjboss 4.23.000 on HP-UX needs modification
QCCR1B38089 Doc: Which report pack support node_delete details not avble in any doc
QCCR1B40325 Report to report link does not work for a user with a View different from default(doc change)
QCCR1B39460 patch PHKL_38397 required on HP-UX 11.31 or higher
QCCR1B39840 Reference guide need to explain the disk_space utility
QCCR1B39814 NNM-PI Guide does not contain information about integrating multiple NNM servers with OVPI in a
distributed environment
QCCR1B40535 Incorrect information in hp_man_PerfInsight5.4_NNM_integration_pdf.pdf on page 36
QCCR1B35153 DOC: Incorrect value for TEEL keyword TableTimeZone
QCCR1B34947 OVPI Reference Guide errata: datapipe_manager "-C" option
QCCR1B40495 OVPI 5.4 Release Notes missing Post-Installation tasks
QCCR1B34446 Chapter 16 "Managing Services" is missing in the OVPI 5.0 Admin Guide pdf
QCCR1B38844 PI Admin Guide instructions for multiple pollers are wrong
QCCR1B39892 Doc update required about OVPI not support on Solaris Zones (containers)
QCCR1B36941 OVPI 'deploytool' utility has undocumented restrictions
QCCR1B38590 Need to remove remote sybase wordings from PI install guide
QCCR1B42122 QCCR1B41969: jboss 4.2.3 upgrade instructions are incorrect in Unix PI 5.40 Install Guides
QCCR1B41969 Jboss 4.2.3 upgrade instructions are incorrect in Windows PI 5.40 Install Guides
QCCR1B41986 Remove sybase_one_off_patch installation related content from the Installation and Upgrade Guide for Sybase Databases on Unix
QCCR1B39114 Recommendation on oracle automatic GATHER_STAT job
QCCR1B42084 node_manager info not complete in reference guide
QCCR1B41895 Running PI and NNMi simultaneously on the same box-doc change
QCCR1B42775 OVPI upgrade documentation issue: Stopping trendtimer should include pollers

HP Software Support

This web site provides contact information and details about the products, services, and support that HP Software offers. For more information, visit the HP Support web site at: HP Software Support Online.

HP Software support provides customer self-solve capabilities. It provides a fast and efficient way to access interactive technical support tools needed to manage your business. As a valued support customer, you can benefit by being able to:

To access the Self-solve knowledge base, visit the Self-solve knowledge search home page.

Note: Most of the support areas require that you register as an HP Passport user and sign in. Many also require an active support contract. To find more information about support access levels, go to: Access levels.

To register for an HP Passport ID, go to: HP Passport Registration.

Legal Notices

©Copyright 2009-2013 Hewlett-Packard Development Company, L.P.

Confidential computer software. Valid license from HP required for possession, use or copying. Consistent with FAR 12.211 and 12.212, Commercial Computer Software, Computer Software Documentation, and Technical Data for Commercial Items are licensed to the U.S. Government under vendor's standard commercial license.

The only warranties for HP products and services are set forth in the express warranty statements accompanying such products and services. Nothing herein should be construed as constituting an additional warranty. HP shall not be liable for technical or editorial errors or omissions contained herein.

The information contained herein is subject to change without notice.

For information about third-party license agreements, see the /root directory on the product installation CD-ROM.

To view open source code, see the /root directory on the product installation media.

Trademark Notices

Windows® is U.S. registered trademark of Microsoft Corporation.

UNIX® is a registered trademark of The Open Group.

Oracle and Java are registered trademarks of Oracle Corporation and/or its affiliates.

Adobe® is trademark of Adobe Systems Incorporated.

Acknowledgements

This product includes Xerces XML Java Parser software, which is Copyright © 1999 The Apache Software Foundation. All rights reserved.

This product includes JDOM XML Java Parser software, which is Copyright © 2000-2003 Jason Hunter & Brett McLaughlin. All rights reserved.

This product includes JClass software, which is © Copyright 1997, KL GROUP INC. ALL RIGHTS RESERVED.

This product includes J2TablePrinter software, which is © Copyright 2001, Wildcrest Associates (http://www.wildcrest.com).

This product includes Xalan XSLT Processor software, which is Copyright © 1999 The Apache Software Foundation. All rights reserved.

This product includes EXPAT XML C Processor software, which is Copyright © 1998, 1999, 2000 Thai Open Source Software Center Ltd and Clark Cooper Copyright © 2001, 2002 Expat maintainers.

This product includes Apache SOAP software, which is Copyright © 1999 The Apache Software Foundation. All rights reserved.

This product includes O’Reilley Servlet Package software, which is Copyright © 2001-2002 by Jason Hunter, jhunter_AT_servlets.com.All rights reserved.

This product includes HTTPClient Package software, which is Copyright © 1991, 1999 Free Software Foundation, Inc. 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.

This product includes Perl software, which is Copyright 1989-2002, Larry Wall. All rights reserved.

This product includes Skin Look And Feel software, which is Copyright © 2000-2002 L2FProd.com. All rights reserved.

This product includes nanoXML software, which is Copyright © 2000 Marc De Scheemaecker, All Rights Reserved.

This product includes Sixlegs PNG software, which is Copyright © 1998, 1999, 2001 Chris Nokleberg.

This product includes cURL & libcURL software, which is Copyright © 1996 - 2006, Daniel Stenberg, <daniel@haxx.se>. All rights reserved.

This product includes Quartz - Enterprise Job Scheduler software, which is Copyright 2004-2005 OpenSymphony.

This product includes Free DCE software, which is © Copyright 1994 OPEN SOFTWARE FOUNDATION, INC., © Copyright 1994 HEWLETT-PACKARD COMPANY, © Copyright 1994 DIGITAL EQUIPMENT CORPORATION, Copyright © 1989, 1991 Free Software Foundation, Inc. 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.

This product includes DCE Threads software, which is Copyright © 1995, 1996 Michael T. Peterson.

This product includes jboss software, which is Copyright 2006 Red Hat, Inc. All rights reserved.

This product includes org.apache.commons software developed by the Apache Software Foundation (http://www.apache.org/).

The information contained herein is subject to change without notice.